Skip to main content
`Ctrl`+`K`

# DSDestroy

Destroys `DS` context that was created with `DSCreate()`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSDestroy(DS *ds)

Collective

## Input Parameter

- ds - the direct solver context

## See Also

DS: Direct Solver (or Dense System), `DSCreate()`

## Level

beginner

## Location

src/sys/classes/ds/interface/dsbasic.c

## Implementations

DSDestroy_GSVD() in src/sys/classes/ds/impls/gsvd/dsgsvd.c
DSDestroy_HSVD() in src/sys/classes/ds/impls/hsvd/dshsvd.c
DSDestroy_NEP() in src/sys/classes/ds/impls/nep/dsnep.c
DSDestroy_NHEPTS() in src/sys/classes/ds/impls/nhepts/dsnhepts.c
DSDestroy_PEP() in src/sys/classes/ds/impls/pep/dspep.c
DSDestroy_SVD() in src/sys/classes/ds/impls/svd/dssvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages